Patchwork [v1,16/19] docker: Use a stable snapshot for Debian Sid

login
register
mail settings
Submitter Alex Bennée
Date Jan. 10, 2019, 5:45 p.m.
Message ID <20190110174516.21586-17-alex.bennee@linaro.org>
Download mbox | patch
Permalink /patch/697149/
State New
Headers show

Comments

Alex Bennée - Jan. 10, 2019, 5:45 p.m.
From: Philippe Mathieu-Daudé <philmd@redhat.com>

The Debian Sid repository is not garanteed to be stable, as his
'unstable' name suggest :)
To allow quick testing, packages are pushed various time a day,
which my be annoying when trying to use it for stable development
(which is not recommended, but Sid provides edge packages we use
for testing).

Debian provides repositories snapshots which are suitable for our
use. Pick a recent date that works. When required, update to newer
releases will be easy.

This fixes current issues with this image:

  $ make docker-image-debian-sid
  [...]
  The following packages have unmet dependencies:
   build-essential : Depends: dpkg-dev (>= 1.17.11) but it is not going to be installed
   git : Depends: perl but it is not going to be installed
         Depends: liberror-perl but it is not going to be installed
   pkg-config : Depends: libdpkg-perl but it is not going to be installed
   texinfo : Depends: perl (>= 5.26.2-6) but it is not going to be installed
             Depends: libtext-unidecode-perl but it is not going to be installed
             Depends: libxml-libxml-perl but it is not going to be installed
  E: Unable to correct problems, you have held broken packages.

Signed-off-by: Philippe Mathieu-Daudé <philmd@redhat.com>
[AJB: also tweak FROM to a earlier snapshot]
Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
---
 tests/docker/dockerfiles/debian-sid.docker | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
Philippe Mathieu-Daudé - Jan. 11, 2019, 1:13 p.m.
On 1/10/19 6:45 PM, Alex Bennée wrote:
> From: Philippe Mathieu-Daudé <philmd@redhat.com>
> 
> The Debian Sid repository is not garanteed to be stable, as his
> 'unstable' name suggest :)
> To allow quick testing, packages are pushed various time a day,
> which my be annoying when trying to use it for stable development
> (which is not recommended, but Sid provides edge packages we use
> for testing).
> 
> Debian provides repositories snapshots which are suitable for our
> use. Pick a recent date that works. When required, update to newer
> releases will be easy.
> 
> This fixes current issues with this image:
> 
>   $ make docker-image-debian-sid
>   [...]
>   The following packages have unmet dependencies:
>    build-essential : Depends: dpkg-dev (>= 1.17.11) but it is not going to be installed
>    git : Depends: perl but it is not going to be installed
>          Depends: liberror-perl but it is not going to be installed
>    pkg-config : Depends: libdpkg-perl but it is not going to be installed
>    texinfo : Depends: perl (>= 5.26.2-6) but it is not going to be installed
>              Depends: libtext-unidecode-perl but it is not going to be installed
>              Depends: libxml-libxml-perl but it is not going to be installed
>   E: Unable to correct problems, you have held broken packages.
> 
> Signed-off-by: Philippe Mathieu-Daudé <philmd@redhat.com>
> [AJB: also tweak FROM to a earlier snapshot]
> Signed-off-by: Alex Bennée <alex.bennee@linaro.org>
> ---
>  tests/docker/dockerfiles/debian-sid.docker | 7 ++++++-
>  1 file changed, 6 insertions(+), 1 deletion(-)
> 
> diff --git a/tests/docker/dockerfiles/debian-sid.docker b/tests/docker/dockerfiles/debian-sid.docker
> index 4e4cda0ba5..676941cb32 100644
> --- a/tests/docker/dockerfiles/debian-sid.docker
> +++ b/tests/docker/dockerfiles/debian-sid.docker
> @@ -11,7 +11,12 @@
>  # updated and trigger a re-build.
>  #
>  
> -FROM debian:sid-slim
> +# This must be earlier than the snapshot date we are aiming for
> +FROM debian:sid-20181011-slim
> +
> +# Use a snapshot known to work (see http://snapshot.debian.org/#Usage)
> +ENV DEBIAN_SNAPSHOT_DATE "20181030"
> +RUN sed -i "s%^deb \(https\?://\)deb.debian.org/debian/\? \(.*\)%deb [check-valid-until=no] \1snapshot.debian.org/archive/debian/${DEBIAN_SNAPSHOT_DATE} \2%" /etc/apt/sources.list

These 2 lines are now dup (probably because Fam's PR entered before this
series).

>  
>  # Use a snapshot known to work (see http://snapshot.debian.org/#Usage)
>  ENV DEBIAN_SNAPSHOT_DATE "20181030"
> 

Without the dup lines:
Reviewed-by: Philippe Mathieu-Daudé <philmd@redhat.com>
Tested-by: Philippe Mathieu-Daudé <philmd@redhat.com>

Patch

diff --git a/tests/docker/dockerfiles/debian-sid.docker b/tests/docker/dockerfiles/debian-sid.docker
index 4e4cda0ba5..676941cb32 100644
--- a/tests/docker/dockerfiles/debian-sid.docker
+++ b/tests/docker/dockerfiles/debian-sid.docker
@@ -11,7 +11,12 @@ 
 # updated and trigger a re-build.
 #
 
-FROM debian:sid-slim
+# This must be earlier than the snapshot date we are aiming for
+FROM debian:sid-20181011-slim
+
+# Use a snapshot known to work (see http://snapshot.debian.org/#Usage)
+ENV DEBIAN_SNAPSHOT_DATE "20181030"
+RUN sed -i "s%^deb \(https\?://\)deb.debian.org/debian/\? \(.*\)%deb [check-valid-until=no] \1snapshot.debian.org/archive/debian/${DEBIAN_SNAPSHOT_DATE} \2%" /etc/apt/sources.list
 
 # Use a snapshot known to work (see http://snapshot.debian.org/#Usage)
 ENV DEBIAN_SNAPSHOT_DATE "20181030"